
    rotations = {};
    function rotations.prerequisitesPresent(specializations)
        return SpecializationUtil.hasSpecialization(Steerable, specializations);
    end;
    
function rotations:load(xmlFile)
		self.rotpart = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart#index"));
        self.rotpart2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart2#index"));
		self.rotpart3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart3#index"));
		self.rotpart4 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart4#index"));
		self.rotpart5 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart5#index"));
		self.rotpart6 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotpart6#index"));
		
		self.extraParticleSystems = {};
		local extraParticleSystemCount = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.extraParticleSystems#count"), 0);
			for i=1, extraParticleSystemCount do
				local namei = string.format("vehicle.extraParticleSystems.extraParticleSystem%d", i);
				Utils.loadParticleSystem(xmlFile, self.extraParticleSystems, namei, self.components, false, nil, self.baseDirectory)
			end;
			
		self.ExhaustParticleSystems = {};
		local exhaustCount = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.ExhaustParticleSystems#count"), 0);
			for i=1, exhaustCount do
				local namei = string.format("vehicle.ExhaustParticleSystems.ExhaustParticleSystem%d", i);
				Utils.loadParticleSystem(xmlFile, self.ExhaustParticleSystems, namei, self.components, false, nil, self.baseDirectory)
			end;
			
		local fuelSample = getXMLString(xmlFile, "vehicle.fuelSample#file");
		if fuelSample ~= nil and fuelSample ~= "" then
        fuelSample = Utils.getFilename(fuelSample, self.baseDirectory); 
        self.fuelSample = createSample("fuelSample");
        loadSample(self.fuelSample, fuelSample, false);
		end;
		self.FuelOn = false;
		tankwarning = false
		self.FuelWarning = false
		self.standardRPM = self.motor.minRpm
		
		noiseSoundFile = Utils.getFilename("sound/noise.wav", self.baseDirectory);
		self.noiseSoundId = createSample("noiseSound");
		loadSample(self.noiseSoundId, noiseSoundFile, false);
		self.noisePlaying = false;
	
		
		korntankSoundFile = Utils.getFilename("sound/beep.wav", self.baseDirectory);
		self.korntankSoundId = createSample("korntankSound");
		loadSample(self.korntankSoundId, korntankSoundFile, false);

		
end;	


   function rotations:delete()  
		Utils.deleteParticleSystem(self.extraParticleSystems);
		Utils.deleteParticleSystem(self.ExhaustParticleSystems);
		delete(beeperSample);
		delete(fuelSample);
   end;
   

     
   function rotations:mouseEvent(posX, posY, isDown, isUp, button)
   end;
   
   function rotations:keyEvent(unicode, sym, modifier, isDown)
   end;
  
   function rotations:update(dt)
		
		
			
			if InputBinding.hasEvent(InputBinding.chop) then
				playSample(self.noiseSoundId,1,1,0);
			end;	
			
			if self.isMotorStarted  then
				if not self.isThreshing then
					rotate(self.rotpart2, dt*0.001, 0, 0);	
				end;	
				if self.currentPipeState ~= self.targetPipeState then
						self.motor.minRpm = self.motor.minRpm - 2980
				end;
			end;			
			
							if self.isThreshing then
								rotate(self.rotpart3, dt*0.01, 0, 0);
								rotate(self.rotpart, dt*0.01, 0, 0);
								rotate(self.rotpart4, dt*0, 0, 0.3);
								rotate(self.rotpart5, dt*0.01, 0, 0);
								rotate(self.rotpart2, dt*0.01, 0, 0);
								if self.motor.minRpm == self.standardRPM then
									self.motor.minRpm = self.motor.minRpm - 2680
									drehzahl = true
								end;
									
							else
								if self.motor.minRpm ~= self.standardRPM then
									self.motor.minRpm = self.standardRPM
									drehzahl = false
								end;
								
							end;
							
							if self.lastArea > 0 then
								Utils.setEmittingState(self.extraParticleSystems, true)
							else	
								Utils.setEmittingState(self.extraParticleSystems, false)
							end;	
							
	
	if self.isThreshing then 
		Utils.setEmittingState(self.ExhaustParticleSystems, true)
	else
		Utils.setEmittingState(self.ExhaustParticleSystems, false)
	end;
							
	
	end;		
		
	
	

function rotations:updateTick(dt)
				
end;
  
function rotations:draw()
end;